Bug 21542 - OverDrive password submission should use a password field to mask input
Summary: OverDrive password submission should use a password field to mask input
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21082
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-10 15:56 UTC by Nick Clemens
Modified: 2018-11-28 08:14 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21542: Use modal and password field for overdrive password (4.03 KB, patch)
2018-10-10 15:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21542: Use modal and password field for overdrive password (4.09 KB, patch)
2018-10-15 13:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-10-10 15:56:22 UTC
To recreate:
1 - Enabled Overdrive and fill all preferences
2 - Make sure OverDrivePasswordRequired is true
3 - Go to opac account
4 - Log in to overdrive
5 - Note the input is shown in plain text
Comment 1 Nick Clemens 2018-10-10 15:58:10 UTC
Created attachment 80364 [details] [review]
Bug 21542: Use modal and password field for overdrive password

To test:
 1 - Enabled Overdrive and fill all preferences
 2 - Make sure OverDrivePasswordRequired is true
 3 - Go to opac account
 4 - Log in to overdrive
 5 - Note the input is shown
 6 - Apply patch
 7 - Repeat
 8 - Note popup is now a modal
 9 - Note password is now hidden
10 - Confirm overdrive integration works as before
Comment 2 Martin Renvoize 2018-10-15 12:32:26 UTC
Sorry dude, QA Script doesn't like you:

FAIL   koha-tmpl/opac-tmpl/bootstrap/en/includes/overdrive-login.inc
   FAIL   forbidden patterns
                forbidden pattern: Contains old bootstrap style for buttons (see bug 16239) (line 1)
Comment 3 Martin Renvoize 2018-10-15 13:25:10 UTC
My bad... this is an OPAC patch.. false fail.
Comment 4 Martin Renvoize 2018-10-15 13:26:01 UTC
Created attachment 80597 [details] [review]
Bug 21542: Use modal and password field for overdrive password

To test:
 1 - Enabled Overdrive and fill all preferences
 2 - Make sure OverDrivePasswordRequired is true
 3 - Go to opac account
 4 - Log in to overdrive
 5 - Note the input is shown
 6 - Apply patch
 7 - Repeat
 8 - Note popup is now a modal
 9 - Note password is now hidden
10 - Confirm overdrive integration works as before

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-10-15 17:12:27 UTC
Trivial patch so moving straight to Passed QA (especially as it's really just a followup for bug 21082)
Comment 6 Nick Clemens 2018-10-17 19:25:43 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-10-26 11:24:16 UTC
Pushed to 18.05.x for 18.05.06
Comment 8 Fridolin SOMERS 2018-11-28 08:14:36 UTC
Depends on bug 21082 not pushed in 17.11.x